WordPress.org

Ready to get started?Download WordPress

Forums

Quick Chat
[resolved] Quick-chat breaks Lightbox Plus (6 posts)

  1. onepack
    Member
    Posted 1 year ago #

    I use lightbox Plus for making a modal login and feedback form on the site but on the page with the chat this doensn't work.

    The rest of the pages is no prob because I use in functions.php:

    wp_deregister_script( 'quick-chat-load' );
    wp_deregister_script( 'quick-chat-c00kie' );

    If I remove the above lines all jQuery javascripts on the site frontend break.

    I'm calling the lightbox forms and other custom jquery like this but it doens't help:

    var $jqw = jQuery.noConflict();
    $jqw(document).ready(function(){

    http://wordpress.org/extend/plugins/quick-chat/

  2. Marko-M
    Member
    Plugin Author

    Posted 1 year ago #

    Hello,
    does browser console show any error when lightbox plus brakes?

  3. onepack
    Member
    Posted 1 year ago #

    No errors to be seen in Firebug or the developer-toolbar in Firefox.
    Actually all the jQuery related javascript that is used on the frondend stops working. Not only lightbox but also the font-resizer and toggle functionality. However, other small non-jquery scripts work like normal.

  4. Marko-M
    Member
    Plugin Author

    Posted 1 year ago #

    Hi onepack,
    you've marked other issue as solved, is this issue still actual?

  5. onepack
    Member
    Posted 1 year ago #

    Hi Marko,

    No I'm sorry to report that it's still actual. On the page with the chat all jquery breaks like I described up here. I don't get any real errors but I'm now checking with firebug. Maybe I can find something.

  6. onepack
    Member
    Posted 1 year ago #

    I went to check the firebug console and found out it is because of the custom function where jquery 1.4.4 is included in the frontend to make some older scrips work.
    I completely forgot about this until I checked the firebug and immediately removed this function and it works now. I will update the theme's outdated scripts so they work as well.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags